import request from "/utils/request.js";
export function useGoodsApi() {
	return {
		// 物品清单
		GetGoodsList: (data) => {
			return request.request({
				url: `/ClientOrder/GetGoodsList`,
				data,
				method: 'get',
			});
		},
		// 获取设置过的物品清单
		GetSubmitGoodsList: (id) => {
			return request.request({
				url:`/ClientOrder/GetSubmitGoodsList?orderId=${id}`,
				method: 'get',
			});
		},
		// 提交物品清单
		SubmitGoodsList: (data) => {
			return request.request({
				url: '/ClientOrder/SubmitGoodsList',
				method: 'post',
                data
			});
		},
	}
}